## sicherboot 0.1.5

=== Makefile ===
PREFIX ?= /usr

all: sicherboot.conf sicherboot.8

sicherboot.conf: sicherboot.conf.in sicherboot
	cp sicherboot.conf.in sicherboot.conf.tmp
	 set -e; for var in `grep -o "^[A-Z][A-Z_]*=$$" sicherboot.conf.in | sort -u`; do \
		sed -i "s@^$$var@#`grep ^$$var sicherboot`@g" sicherboot.conf.tmp; \
	done
	mv sicherboot.conf.tmp sicherboot.conf

sicherboot.8: sicherboot.8.md
	pandoc -s -t man sicherboot.8.md  -o sicherboot.8

clean:
	$(RM) -f sicherboot.conf sicherboot.conf.tmp sicherboot.8

install: all
	install -D -o root -g root -m644 sicherboot.conf $(DESTDIR)/etc/sicherboot/sicherboot.conf
	install -d -o root -g root -m700 $(DESTDIR)/etc/sicherboot/keys
	install -D -o root -g root -m755 sicherboot $(DESTDIR)$(PREFIX)/sbin/sicherboot

## sicherboot 0.1.2

=== debian/changelog ===
sicherboot (0.1.2) unstable; urgency=medium

  * Rename sicherboot.1 to sicherboot.8
  * Fix registration of KeyTool in the bootloader
  * Add support for SICHERBOOT_CONFIGURATION_FILE_INTERNAL variable
  * Create directories before copying or writing files
  * debian: Add dependency on uuid-runtime
  * Find KeyTool.efi on Ubuntu systems
  * Add continous integration via shippable

 -- Julian Andres Klode <jak@debian.org>  Mon, 17 Oct 2016 23:13:23 +0200

sicherboot (0.1.1) unstable; urgency=low

  * kernel/postinst.d/dracut: Pass arguments to dracut

 -- Julian Andres Klode <jak@debian.org>  Tue, 06 Sep 2016 22:31:29 +0200

sicherboot (0.1.0) unstable; urgency=low

  * Initial upload (Closes: #836867)

 -- Julian Andres Klode <jak@debian.org>  Tue, 06 Sep 2016 22:24:52 +0200

=== debian/control ===
Source: sicherboot
Section: utils
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 9), pandoc
Standards-Version: 3.9.8
Homepage: https://github.com/julian-klode/sicherboot
Vcs-Git: https://github.com/julian-klode/sicherboot
Vcs-Browser: https://github.com/julian-klode/sicherboot

Package: sicherboot
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, efitools, binutils, systemd, uuid-runtime
Enhances: dracut, systemd, initramfs-tool
Description: systemd-boot integration with UEFI secure boot support
 sicher*boot manages kernels and systemd-boot on a secure boot
 machine. It installs kernels and systemd-boot, generates signing keys to
 enroll in the machine,  and signs the kernels and the bootloader with it.
 .
 Keys are generated in /etc/sicherboot/keys, readable only to root. The private
 keys are unencrypted in the default configuration, but that can be changed,
 see /etc/sicherboot/sicherboot.conf after installing.
 .
 This package diverts the /etc/kernel/postinst.d/dracut file and replace it
 with its own file that calls the diverted one before running sicherboot,
 as dracut does not support any form of hooks. dpkg is not entirely happy
 with that and asks you if you want to replace a "deleted" dracut conffile -
 answer yes.

## sicherboot 0.1.3

=== debian/changelog ===
sicherboot (0.1.3) unstable; urgency=medium

  * debian: Enhances initramfs-tools, not initramfs-tool (Closes: #840772)
  * Ignore failure to remove kernel/loader entry (LP: #1696054)

 -- Julian Andres Klode <jak@debian.org>  Tue, 04 Jul 2017 11:52:58 +0200

## sicherboot 0.1.4

=== debian/changelog ===
sicherboot (0.1.4) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Make the dracut script do nothing on non-dracut systems (Closes: #868890)

  [ RjY ]
  * Handle non-enrolled keys

 -- Julian Andres Klode <jak@debian.org>  Wed, 19 Jul 2017 17:42:03 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: sicherboot
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}, efitools, binutils, systemd, uuid-runtime
-Enhances: dracut, systemd, initramfs-tool
+Enhances: dracut, systemd, initramfs-tools
 Description: systemd-boot integration with UEFI secure boot support
  sicher*boot manages kernels and systemd-boot on a secure boot
  machine. It installs kernels and systemd-boot, generates signing keys to

## sicherboot 0.1.5

=== debian/changelog ===
sicherboot (0.1.5) unstable; urgency=medium

  [ Edward Betts ]
  * correct spelling mistake

  [ Julian Andres Klode ]
  * Only run hooks if sicherboot is still installed
  * kernel/postinst.d/dracut: Only run if diverted dracut postinst exists
  * initramfs/post-update.d: Run sicherboot for linux-image-*
  * Fixup check for installed sicherboot
  * initramfs/post-update.d: Add a message
  * d/control: Bump Standards-Version to 4.1.3
  * d: Bump debhelper compat to 11

 -- Julian Andres Klode <jak@debian.org>  Fri, 16 Mar 2018 11:42:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Julian Andres Klode <jak@debian.org>
-Build-Depends: debhelper (>= 9), pandoc
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), pandoc
+Standards-Version: 4.1.3
 Homepage: https://github.com/julian-klode/sicherboot
 Vcs-Git: https://github.com/julian-klode/sicherboot
 Vcs-Browser: https://github.com/julian-klode/sicherboot
